API reference
All operations
LEADS

Creates a new lead.

POST/api/v2/leads

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Request body

application/jsonrequired

The lead data to create.

CreateLeadRequest
  • ownerIdinteger · int32
  • descriptionstring
  • commentsstring
  • statusIdinteger · int32
  • sourceIdinteger · int32
  • sourcestringnullable
  • sourceLocationIdinteger · int32
  • assignedReasonIdsinteger[]
  • companyNamestring
  • address1string
  • address2string
  • citystring
  • zipstring
  • statestring
  • countrystring
  • countystring
  • faxstring
  • webstring
  • companyPhonestring
  • companyIdinteger · int32
  • contactIdinteger · int32
  • titlestring
  • positionstring
  • firstNamestring
  • lastNamestring
  • departmentstring
  • phonestring
  • cellstring
  • emailstring
  • sourceUrlstring
  • sourcePagestring
  • branchIdinteger · int32
  • makestring
  • modelstring
  • equipmentTypestring
  • enterTypestring

Responses

Lead created successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataLeadDetailsDto
  • recordTypestringnullable
  • leadIDinteger · int32nullable
  • ownerIDinteger · int32nullable
  • statusIDinteger · int32nullable
  • sourceIDinteger · int32nullable
  • sourcestringnullable
  • sourceLocationIDinteger · int32nullable
  • sourceLocationstringnullable
  • ratingstringnullable
  • descriptionstringnullable
  • companyIDinteger · int32nullable
  • companyNamestringnullable
  • address1stringnullable
  • citystringnullable
  • statestringnullable
  • zipstringnullable
  • countystringnullable
  • countrystringnullable
  • contactIDinteger · int32nullable
  • contactNamestringnullable
  • firstNamestringnullable
  • lastNamestringnullable
  • emailstringnullable
  • phonestringnullable
  • cellstringnullable
  • equipmentIDinteger · int32nullable
  • makestringnullable
  • modelstringnullable
  • serialNostringnullable
  • stockNostringnullable
  • yearstringnullable
  • hoursinteger · int32nullable
  • attachmentsstringnullable
  • deletedbooleannullable
  • ownerNamestringnullable
  • statusNamestringnullable
  • commentsstringnullable
  • dateAssignedstring · date-timenullable
  • dateAcknowledgedstring · date-timenullable
  • dateConvertedstring · date-timenullable
  • address2stringnullable
  • faxstringnullable
  • titlestringnullable
  • positionstringnullable
  • companyPhonestringnullable
  • webstringnullable
  • departmentstringnullable
  • favoritebooleannullable
  • assignedReasonIDsinteger[]nullable
  • strAssignedReasonsstring[]nullable
  • assignedReasonsDisplaystringnullable
  • latitudenumber · doublenullable
  • longitudenumber · doublenullable
  • equipmentTypestringnullable
  • sourceUrlstringnullable
  • sourcePagestringnullable
  • branchstringnullable
  • associatedQuoteinteger · int32nullable
  • identifierstringnullable
  • branchIDinteger · int32nullable
  • closedbooleannullable
  • canAcknowledgeboolean